local LD = require("design.LevelDesignLibrary")
local targetObject, currentFrameAngVel, angularVelocity, lastFrameAngVel
function OnScriptLoaded(level, obj)
  targetObject = obj
  lastFrameAngVel = engine.Vector.New(0, 0, 0)
  currentFrameAngVel = lastFrameAngVel
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function GetBridgeMachineryRotationalVelocity()
  currentFrameAngVel = targetObject:GetWorldForward()
  angularVelocity = (lastFrameAngVel - currentFrameAngVel):Length() * 1000
  lastFrameAngVel = currentFrameAngVel
  return angularVelocity
end
